apiVersion: v1
kind: Pod
metadata:
  name: deis-dockerbuilder
  labels:
    heritage: deis
    version: 2.0.0-alpha
spec:
  restartPolicy: Never
  containers:
    - name: deis-dockerbuilder
      imagePullPolicy: IfNotPresent
      image: quay.io/deis/dockerbuilder:2.0.0-alpha
      env:
        - name: DEBUG
          value: "1"
        - name: TAR_URL
          value: tar-url
        - name: IMG_NAME
          value: imagename
        - name: ACCESS_KEY_FILE
          value: /var/run/secrets/object/store/access_key
        - name: ACCESS_SECRET_FILE
          value: /var/run/secrets/object/store/access_secret
      volumeMounts:
        - mountPath: /var/run/docker.sock
          name: docker-socket
        - name: minio-user
          mountPath: /var/run/secrets/object/store
          readOnly: true
  volumes:
    - name: minio-user
      secret:
        secretName: minio-user
    - name: docker-socket
      hostPath:
        path: /var/run/docker.sock
